Index: configure
===================================================================
--- configure	(revision d1356cb8b0f964ddf7de50e1ba52eecc271e470a)
+++ configure	(revision b0064647d06d4169f2b49f4f527ce05af43aacff)
@@ -91,5 +91,5 @@
 
 --events=...	Event handler (glib, libevent)		$events
---ssl=...	SSL library to use (gnutls, nss, openssl, bogus, auto)
+--ssl=...	SSL library to use (gnutls, nss, openssl, auto)
 							$ssl
 
@@ -434,17 +434,4 @@
 	
 	ret=1
-elif [ "$ssl" = "bogus" ]; then
-	echo
-	echo 'Using bogus SSL code. This means some features will not work properly.'
-	
-	## Yes, you, at the console! How can you authenticate if you don't have any SSL!?
-	if [ "$msn" = "1" -o "$yahoo" = "1" ]; then
-		echo
-		echo 'WARNING: The MSN and Yahoo! modules will not work without SSL. Disabling.'
-		msn=0
-		yahoo=0
-	fi
-	
-	ret=1
 else
 	echo
@@ -457,6 +444,5 @@
 	echo 'ERROR: Could not find a suitable SSL library (GnuTLS, libnss or OpenSSL).'
 	echo '       Please note that this script doesn'\''t have detection code for OpenSSL,'
-	echo '       so if you want to use that, you have to select it by hand. If you don'\''t'
-	echo '       need SSL support, you can select the "bogus" SSL library. (--ssl=bogus)'
+	echo '       so if you want to use that, you have to select it by hand.'
 	
 	exit 1
Index: debian/changelog
===================================================================
--- debian/changelog	(revision d1356cb8b0f964ddf7de50e1ba52eecc271e470a)
+++ debian/changelog	(revision b0064647d06d4169f2b49f4f527ce05af43aacff)
@@ -1,2 +1,10 @@
+bitlbee (3.0.6-2) UNRELEASED; urgency=low
+
+  * Depend on gnutls-dev instead of libgnutls-dev. (Closes: #691766)
+  * Also, drop nss dependency. GnuTLS is supported officially, the rest is
+    use-at-your-own-risk (so compile it yourself).
+
+ -- Wilmer van der Gaast <wilmer@gaast.net>  Tue, 30 Oct 2012 23:25:56 +0000
+
 bitlbee (3.0.6-1) unstable; urgency=low
 
Index: debian/control
===================================================================
--- debian/control	(revision d1356cb8b0f964ddf7de50e1ba52eecc271e470a)
+++ debian/control	(revision b0064647d06d4169f2b49f4f527ce05af43aacff)
@@ -5,5 +5,5 @@
 Uploaders: Jelmer Vernooij <jelmer@samba.org>
 Standards-Version: 3.9.1
-Build-Depends: libglib2.0-dev (>= 2.4), libevent-dev, libgnutls-dev | libnss-dev (>= 1.6), po-debconf, libpurple-dev, libotr2-dev, debhelper (>= 6.0.7~), asciidoc
+Build-Depends: libglib2.0-dev (>= 2.4), libevent-dev, gnutls-dev | libgnutls-dev, po-debconf, libpurple-dev, libotr2-dev, debhelper (>= 6.0.7~), asciidoc
 Homepage: http://www.bitlbee.org/
 Vcs-Bzr: http://code.bitlbee.org/bitlbee/
Index: debian/copyright
===================================================================
--- debian/copyright	(revision d1356cb8b0f964ddf7de50e1ba52eecc271e470a)
+++ debian/copyright	(revision b0064647d06d4169f2b49f4f527ce05af43aacff)
@@ -5,5 +5,5 @@
 
 Authors: Wilmer van der Gaast, Sjoerd Hemminga, Jelmer Vernooij,
-         Maurits Dijkstra and others.
+         Maurits Dijkstra, Geert Mulders, Miklos Vajna and others.
 
 Mainly Copyright 2002-2012 Wilmer van der Gaast.
Index: doc/AUTHORS
===================================================================
--- doc/AUTHORS	(revision d1356cb8b0f964ddf7de50e1ba52eecc271e470a)
+++ doc/AUTHORS	(revision b0064647d06d4169f2b49f4f527ce05af43aacff)
@@ -1,6 +1,21 @@
-Current developers:
+Core team:
 
 Wilmer van der Gaast <wilmer@gaast.net>
 	Main developer
+
+
+Other contributors:
+
+Miklos Vajna <vmiklos@frugalware.org>
+	Skype module
+
+pesco <pesco@khjk.org>
+	OTR support
+
+
+Retired developers:
+
+Sjoerd 'lucumo' Hemminga <sjoerd@hemminga-online.nl>
+	NickServ, documentation
 
 Jelmer 'ctrlsoft' Vernooij <jelmer@samba.org>
@@ -10,10 +25,8 @@
 	Daemon dude, plus some other stuff
 
+Geert Mulders <g.c.w.m.mulders@gmail.com>
+	Initial version of the Twitter module
 
-Retired developer:
-
-Sjoerd 'lucumo' Hemminga <sjoerd@hemminga-online.nl>
-	NickServ, documentation
-
-The development team wishes to thank Sjoerd for his contributions to the
-Bee.
+ulim <a.sporto+bee@gmail.com>
+Marijn Kruisselbrink
+	File transfer support
Index: doc/bitlbee.8
===================================================================
--- doc/bitlbee.8	(revision d1356cb8b0f964ddf7de50e1ba52eecc271e470a)
+++ doc/bitlbee.8	(revision b0064647d06d4169f2b49f4f527ce05af43aacff)
@@ -114,6 +114,2 @@
 .PP
  Wilmer van der Gaast <wilmer@gaast.net>
-.BR
- Jelmer Vernooij <jelmer@vernstok.nl>
-.BR
- Maurits Dijkstra <mauritsd@xs4all.nl>
Index: doc/user-guide/help.xml
===================================================================
--- doc/user-guide/help.xml	(revision d1356cb8b0f964ddf7de50e1ba52eecc271e470a)
+++ doc/user-guide/help.xml	(revision b0064647d06d4169f2b49f4f527ce05af43aacff)
@@ -26,5 +26,5 @@
 
 <para>
-BitlBee is written by Wilmer van der Gaast together with Jelmer Vernooij, Maurits Dijkstra and others. Bugs can be reported at <ulink link="http://bugs.bitlbee.org/">http://bugs.bitlbee.org/</ulink>.
+Some more help can be found on <ulink link="http://wiki.bitlbee.org/">http://wiki.bitlbee.org/</ulink>. Bugs can be reported at <ulink link="http://bugs.bitlbee.org/">http://bugs.bitlbee.org/</ulink>.
 </para>
 
Index: b/ssl_bogus.c
===================================================================
--- lib/ssl_bogus.c	(revision d1356cb8b0f964ddf7de50e1ba52eecc271e470a)
+++ 	(revision )
@@ -1,76 +1,0 @@
-  /********************************************************************\
-  * BitlBee -- An IRC to other IM-networks gateway                     *
-  *                                                                    *
-  * Copyright 2002-2004 Wilmer van der Gaast and others                *
-  \********************************************************************/
-
-/* SSL module - dummy version                                           */
-
-/*
-  This program is free software; you can redistribute it and/or modify
-  it under the terms of the GNU General Public License as published by
-  the Free Software Foundation; either version 2 of the License, or
-  (at your option) any later version.
-
-  This program is distributed in the hope that it will be useful,
-  but WITHOUT ANY WARRANTY; without even the implied warranty of
-  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-  GNU General Public License for more details.
-
-  You should have received a copy of the GNU General Public License with
-  the Debian GNU/Linux distribution in /usr/share/common-licenses/GPL;
-  if not, write to the Free Software Foundation, Inc., 59 Temple Place,
-  Suite 330, Boston, MA  02111-1307  USA
-*/
-
-#include "ssl_client.h"
-
-int ssl_errno;
-
-void ssl_init( void )
-{
-}
-
-void *ssl_connect( char *host, int port, gboolean verify, ssl_input_function func, gpointer data )
-{
-	return( NULL );
-}
-
-int ssl_read( void *conn, char *buf, int len )
-{
-	return( -1 );
-}
-
-int ssl_write( void *conn, const char *buf, int len )
-{
-	return( -1 );
-}
-
-void ssl_disconnect( void *conn_ )
-{
-}
-
-int ssl_getfd( void *conn )
-{
-	return( -1 );
-}
-
-void *ssl_starttls( int fd, char *hostname, gboolean verify, ssl_input_function func, gpointer data ) 
-{
-	return NULL;
-}
-
-b_input_condition ssl_getdirection( void *conn )
-{
-	return B_EV_IO_READ;
-}
-
-int ssl_pending( void *conn )
-{
-	return 0;
-}
-
-char *ssl_verify_strerror( int code )
-{
-	return NULL;
-}
Index: lib/ssl_gnutls.c
===================================================================
--- lib/ssl_gnutls.c	(revision d1356cb8b0f964ddf7de50e1ba52eecc271e470a)
+++ lib/ssl_gnutls.c	(revision b0064647d06d4169f2b49f4f527ce05af43aacff)
@@ -85,6 +85,8 @@
 		gnutls_certificate_set_x509_trust_file( xcred, global.conf->cafile, GNUTLS_X509_FMT_PEM );
 		
-		/* Not needed in GnuTLS 2.11+ but we support older versions for now. */
-		gnutls_certificate_set_verify_flags( xcred, GNUTLS_VERIFY_ALLOW_X509_V1_CA_CRT );
+		/* Not needed in GnuTLS 2.11+ (enabled by default there) so
+		   don't do it (resets possible other defaults). */
+		if( !gnutls_check_version( "2.11" ) )
+			gnutls_certificate_set_verify_flags( xcred, GNUTLS_VERIFY_ALLOW_X509_V1_CA_CRT );
 	}
 	initialized = TRUE;
@@ -108,5 +110,4 @@
 	struct scd *conn = g_new0( struct scd, 1 );
 	
-	conn->fd = proxy_connect( host, port, ssl_connected, conn );
 	conn->func = func;
 	conn->data = data;
@@ -114,4 +115,5 @@
 	conn->hostname = g_strdup( host );
 	conn->verify = verify && global.conf->cafile;
+	conn->fd = proxy_connect( host, port, ssl_connected, conn );
 	
 	if( conn->fd < 0 )
Index: motd.txt
===================================================================
--- motd.txt	(revision d1356cb8b0f964ddf7de50e1ba52eecc271e470a)
+++ motd.txt	(revision b0064647d06d4169f2b49f4f527ce05af43aacff)
@@ -14,5 +14,5 @@
 The developers of the Bee hope you have a buzzing time.
 
-* BitlBee development team: wilmer, jelmer, Maurits
+* BitlBee development team.
  
 ... Buzzing, haha, get it?
Index: protocols/jabber/iq.c
===================================================================
--- protocols/jabber/iq.c	(revision d1356cb8b0f964ddf7de50e1ba52eecc271e470a)
+++ protocols/jabber/iq.c	(revision b0064647d06d4169f2b49f4f527ce05af43aacff)
@@ -128,4 +128,5 @@
 			                           XMLNS_MUC,
 			                           XMLNS_PING,
+			                           XMLNS_RECEIPTS,
 			                           XMLNS_SI,
 			                           XMLNS_BYTESTREAMS,
Index: protocols/jabber/jabber.c
===================================================================
--- protocols/jabber/jabber.c	(revision d1356cb8b0f964ddf7de50e1ba52eecc271e470a)
+++ protocols/jabber/jabber.c	(revision b0064647d06d4169f2b49f4f527ce05af43aacff)
@@ -231,5 +231,5 @@
 	if( set_getbool( &acc->set, "ssl" ) )
 	{
-		jd->ssl = ssl_connect( connect_to, set_getint( &acc->set, "port" ), FALSE, jabber_connected_ssl, ic );
+		jd->ssl = ssl_connect( connect_to, set_getint( &acc->set, "port" ), set_getbool( &acc->set, "tls_verify" ), jabber_connected_ssl, ic );
 		jd->fd = jd->ssl ? ssl_getfd( jd->ssl ) : -1;
 	}
Index: protocols/jabber/jabber.h
===================================================================
--- protocols/jabber/jabber.h	(revision d1356cb8b0f964ddf7de50e1ba52eecc271e470a)
+++ protocols/jabber/jabber.h	(revision b0064647d06d4169f2b49f4f527ce05af43aacff)
@@ -227,4 +227,5 @@
 #define XMLNS_TIME         "urn:xmpp:time"                                       /* XEP-0202 */
 #define XMLNS_PING         "urn:xmpp:ping"                                       /* XEP-0199 */
+#define XMLNS_RECEIPTS     "urn:xmpp:receipts"                                   /* XEP-0184 */
 #define XMLNS_VCARD        "vcard-temp"                                          /* XEP-0054 */
 #define XMLNS_DELAY        "jabber:x:delay"                                      /* XEP-0091 */
Index: protocols/jabber/message.c
===================================================================
--- protocols/jabber/message.c	(revision d1356cb8b0f964ddf7de50e1ba52eecc271e470a)
+++ protocols/jabber/message.c	(revision b0064647d06d4169f2b49f4f527ce05af43aacff)
@@ -29,5 +29,7 @@
 	char *from = xt_find_attr( node, "from" );
 	char *type = xt_find_attr( node, "type" );
+	char *id = xt_find_attr( node, "id" );
 	struct xt_node *body = xt_find_node( node->children, "body" ), *c;
+	struct xt_node *request = xt_find_node( node->children, "request" );
 	struct jabber_buddy *bud = NULL;
 	char *s, *room = NULL, *reason = NULL;
@@ -35,4 +37,24 @@
 	if( !from )
 		return XT_HANDLED; /* Consider this packet corrupted. */
+
+	if( request && id )
+	{
+		/* Send a message receipt (XEP-0184), looking like this:
+		 * <message
+		 *  from='kingrichard@royalty.england.lit/throne'
+		 *  id='bi29sg183b4v'
+		 *  to='northumberland@shakespeare.lit/westminster'>
+		 *  <received xmlns='urn:xmpp:receipts' id='richard2-4.1.247'/>
+		 * </message> */
+		struct xt_node *received, *receipt;
+		
+		received = xt_new_node( "received", NULL, NULL );
+		xt_add_attr( received, "xmlns", XMLNS_RECEIPTS );
+		xt_add_attr( received, "id", id );
+		receipt = jabber_make_packet( "message", NULL, from, received );
+
+		jabber_write_packet( ic, receipt );
+		xt_free_node( receipt );
+	}
 	
 	bud = jabber_buddy_by_jid( ic, from, GET_BUDDY_EXACT );
Index: protocols/nogaim.h
===================================================================
--- protocols/nogaim.h	(revision d1356cb8b0f964ddf7de50e1ba52eecc271e470a)
+++ protocols/nogaim.h	(revision b0064647d06d4169f2b49f4f527ce05af43aacff)
@@ -90,8 +90,5 @@
 	int permdeny;
 	
-	char displayname[128];
 	char *away;
-	
-	int evil;
 	
 	/* BitlBee */
@@ -129,5 +126,4 @@
 	char show[BUDDY_ALIAS_MAXLEN];
 	int present;
-	int evil;
 	time_t signon;
 	time_t idle;
Index: protocols/oscar/oscar.c
===================================================================
--- protocols/oscar/oscar.c	(revision d1356cb8b0f964ddf7de50e1ba52eecc271e470a)
+++ protocols/oscar/oscar.c	(revision b0064647d06d4169f2b49f4f527ce05af43aacff)
@@ -946,7 +946,4 @@
 			g_hash_table_insert(od->ips, uin, (gpointer) (long) info->icqinfo.ipaddr);
 	}
-
-	if (!aim_sncmp(ic->acc->user, info->sn))
-		g_snprintf(ic->displayname, sizeof(ic->displayname), "%s", info->sn);
 
 	tmp = normalize(info->sn);
@@ -1536,15 +1533,4 @@
 
 static int gaim_selfinfo(aim_session_t *sess, aim_frame_t *fr, ...) {
-	va_list ap;
-	aim_userinfo_t *info;
-	struct im_connection *ic = sess->aux_data;
-
-	va_start(ap, fr);
-	info = va_arg(ap, aim_userinfo_t *);
-	va_end(ap);
-
-	ic->evil = info->warnlevel/10;
-	/* ic->correction_time = (info->onlinesince - ic->login_time); */
-
 	return 1;
 }
